Skip to main content
GET
/
storage
/
migration_sources
/
{id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const migrationSource = await client.storage.migrationSources.retrieve('');

console.log(migrationSource.data);
import os
from telnyx import Telnyx

client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
migration_source = client.storage.migration_sources.retrieve(
"",
)
print(migration_source.data)
package main

import (
"context"
"fmt"

"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)

func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
migrationSource, err := client.Storage.MigrationSources.Get(context.TODO(), "")
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", migrationSource.Data)
}
package com.telnyx.sdk.example;

import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.storage.migrationsources.MigrationSourceRetrieveParams;
import com.telnyx.sdk.models.storage.migrationsources.MigrationSourceRetrieveResponse;

public final class Main {
private Main() {}

public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();

MigrationSourceRetrieveResponse migrationSource = client.storage().migrationSources().retrieve("");
}
}
require "telnyx"

telnyx = Telnyx::Client.new(api_key: "My API Key")

migration_source = telnyx.storage.migration_sources.retrieve("")

puts(migration_source)
<?php

require_once dirname(__DIR__) . '/vendor/autoload.php';

use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;

$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');

try {
$migrationSource = $client->storage->migrationSources->retrieve('');

var_dump($migrationSource);
} catch (APIException $e) {
echo $e->getMessage();
}
telnyx storage:migration-sources retrieve \
--api-key 'My API Key' \
--id ''
curl --request GET \
--url https://api.telnyx.com/v2/storage/migration_sources/{id} \
--header 'Authorization: Bearer <token>'
{
  "data": {
    "provider_auth": {
      "access_key": "<string>",
      "secret_access_key": "<string>"
    },
    "bucket_name": "<string>",
    "id": "<string>",
    "source_region": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Unique identifier for the data migration source.

Response

Create Migration Source Response

data
object